import data from "./data";
import { isAreaCode, isCityCode, isProvinceCode, isInland, getProvinceCode, getCityCode, isCrownCountryCityCode } from "./util";
export { data, isAreaCode, isCityCode, isProvinceCode, isInland, getProvinceCode, getCityCode, isCrownCountryCityCode, };
export declare type DataType = typeof data;
export declare type CascaderOption = {
    inland?: boolean;
    fieldNames?: {
        code?: string;
        name?: string;
        children?: string;
    };
    dataSource?: DataType;
    emptyChildrenValue?: 'none' | 'null' | 'array';
};
export declare type CascadeData = {
    code?: string;
    name?: string;
    children?: CascadeData[];
    [key: string]: any;
};
export declare type CascadeDataWithNull = Omit<CascadeData, 'children'> & {
    children?: CascadeDataWithNull[] | null;
};
export declare function splitPCA(opts?: {
    dataSource?: DataType;
    inland?: boolean;
    province?: boolean;
    city?: boolean;
    area?: boolean;
}): {
    provinces: {
        code: string;
        name: string;
    }[];
    cities: {
        code: string;
        name: string;
    }[];
    areas: {
        code: string;
        name: string;
    }[];
};
export declare function getPC(options?: CascaderOption & {
    emptyChildrenValue: 'null';
}): CascadeDataWithNull[];
export declare function getPC(options?: CascaderOption): CascadeData[];
export declare function getPCA(options?: CascaderOption & {
    emptyChildrenValue: 'null';
}): CascadeDataWithNull[];
export declare function getPCA(options?: CascaderOption): CascadeData[];
declare type ParseItem = null | {
    code: string;
    name: string;
};
export declare function parseAreaCode(areaCode: string, options?: {
    dataSource?: DataType;
    ignoreCrownCountryCityName?: boolean;
}): [ParseItem, ParseItem, ParseItem];
